/***
   NAME
     cleardataform - header file
   DESCRIPTION
     
   Last modification: AMdR - Jan 30, 2007
***/
#ifndef CLEARDATAFORM
#define CLEARDATAFORM

#include <QDialog>

#include "ui_cleardataform.h"   // defines Ui::ClearDataForm

class ClearDataForm : public QDialog, public Ui::ClearDataForm
{
    Q_OBJECT

public:
    ClearDataForm(QWidget* parent = 0, bool modal = false, Qt::WindowFlags fl = Qt::WindowFlags());
    ~ClearDataForm();

public slots:
    virtual void setAllDataChecked( bool on );
    virtual void clearData();
    virtual void setAllFilesChecked( bool on );

signals:
    void clearData(int clearMemory, int clearFiles);

protected slots:
    virtual void languageChange();

private:
    void init();

};

#endif /* CLEARDATAFORM */
