#include <float.h>
#include "ebtdata.h"

EBTData::EBTData()
{
    clear();
}

void EBTData::appendValue(const double &value)
{
    dataVector.append(value);
    if(value < minValue) 
	minValue = value;
    if(value > maxValue)
	maxValue = value;
}

void EBTData::clear()
{
    dataVector.clear();
    sizeRead = 0;
    minValue = DBL_MAX;
    maxValue = -(DBL_MAX);
}

double EBTData::operator[](size_t elementNum)
{
    return dataVector[elementNum];
}
