#include "ebtdefines.h"
#include "math.h"

QString formatDouble(double input)
{
    QString returnValue;
    if (((fabs(input) <= 1.0E4) && (fabs(input) >= 1.0E-4)) || (input == 0))
	returnValue = QString( "%1" ).arg(input, 0, 'f');
    else
	returnValue = QString( "%1" ).arg(input, 0, 'E');
    return returnValue;
}

double myLog10(double input)
{
#if (defined(DBL_MIN) && defined(DBL_MIN_10_EXP))
    return (((input) > (DBL_MIN))   ? (log10(input)) : (DBL_MIN_10_EXP));
#elif (defined(MINDOUBLE) && defined(DMINEXP))
    return (((input) > (MINDOUBLE)) ? (log10(input)) : (DMINEXP));
#else
    return (((input) > (1.0E-100))  ? (log10(input)) : (-100));
#endif
}
