#include <qfile.h>
#include "ebtproject.h"

EBTProject::EBTProject()
{
    fileMap.clear();
}

EBTProject::~EBTProject()
{
}

uint EBTProject::addFileRef()
{
    uint currentFileKey = fileMap.size();
    
    fileRef *fr = new fileRef;
    fr->xpos = -1;
    fr->ypos = -1;
    if (!fileMap.contains(currentFileKey))
      fileMap.insert(currentFileKey, *fr);

    delete fr;
    
    return currentFileKey;
}

uint EBTProject::addFile(fileType ft, QString nm)
{
    uint ii = addFileRef();
    fileMap[ii].type = ft ;
    fileMap[ii].name = nm;
    return ii;
}


void EBTProject::clearMap()
{
    fileMap.clear();
}
