#include <qfileinfo.h>
#include <qmessagebox.h>
#include <QTextStream>
#include "ebttextfile.h"

EBTTextFile::EBTTextFile()
{
}

EBTTextFile::~EBTTextFile()
{
}

void EBTTextFile::load()
{
    loadSettings();
    buffer = QString();
    
    QString fName;
    if(!fileName().isEmpty())
	fName = absFilePath();
    else
	fName = EBTDir + "/" + templateFile();
    
    QFile file(fName);
    
    if (file.open(QIODevice::ReadOnly | QIODevice::Text))
    {
	QTextStream stream(&file);
	buffer = stream.readAll();
    }
    file.close();
    setChanged(FALSE);
}

bool EBTTextFile::save()
{
    QString fName;
    if (fileName().isEmpty())
	return saveAs();
    if (!fileName().isEmpty())
	fName = absFilePath();
    
    QFile file(fName);
        
    if (file.open(QIODevice::WriteOnly))
    {
	QTextStream stream(&file);
	stream << buffer;
	file.close();
	setChanged(FALSE);
	return TRUE;
    }
    else
	return FALSE;
}
