@Echo off

REM Crude batch file to create a distribution directory under Windows 10

if (%EBTPATH%)==() set EBTPATH=C:\Users\Andre\Desktop\EBTtool

set TARGETDIR=%EBTPATH%

if not exist %TARGETDIR% goto Install

Echo Deleting existing directory....
rmdir /S %TARGETDIR%
if ERRORLEVEL 2 goto End

:Install
mkdir %TARGETDIR%
mkdir %TARGETDIR%\integrator
mkdir %TARGETDIR%\integrator\Odesolvers
mkdir %TARGETDIR%\templates


set MAIN=DefineIDcard.h DefineOutput.h ebtcohrt.c ebtcohrt.h ebtcsbdefs.h ebtinit.c ebtinit.h
set MAIN=%MAIN% ebtmain.c ebtmain.h ebtstop.c ebtstop.h ebttint.c ebttint.h ebttooldefs.h
set MAIN=%MAIN% ebttune.h ebtutils.c ebtutils.h escbox.h methtest.c ebtbifstats.c

set TMPL=DefineIDcard.c DefineOutput.c ebttmpl.c ebttmpl.h tmpl.cvf
set TMPL=%TMPL% tmpl.ebtogr tmpl.ebtpr tmpl.ebtsgr tmpl.isf

set SOLV=ebtdopri5.c ebtdopri8.c ebtradau.c ebtrk2.c ebtrk4.c ebtrkck.c ebtrkf45.c ebtrktsi5.c

copy /b release\ebttool.exe %TARGETDIR%
REM copy /b release\ebttool.exe.manifest %TARGETDIR%

for %%I in (%MAIN%) do copy ..\integrator\%%I %TARGETDIR%\integrator\

for %%I in (%SOLV%) do copy ..\integrator\Odesolvers\%%I %TARGETDIR%\integrator\Odesolvers

for %%I in (%TMPL%) do copy ..\templates\%%I %TARGETDIR%\templates

windeployqt %TARGETDIR%\ebttool.exe

:End
   
