/***
   NAME
     projectform - header file
   DESCRIPTION
     
   Last modification: AMdR - Jan 30, 2007
***/
#ifndef PROJECTFORM
#define PROJECTFORM
#include <QDialog>

#include "ui_projectform.h"   // defines Ui::ProjectForm

class ProjectForm : public QDialog, public Ui::ProjectForm
{
    Q_OBJECT

public:
    ProjectForm(QWidget* parent = 0, bool modal = false, Qt::WindowFlags fl = Qt::WindowFlags());
    ~ProjectForm();

public slots:
    virtual void setProject( EBTProject & ep );
    virtual void acceptChanges();

protected:
    EBTProject* project;

protected slots:
    virtual void languageChange();

};

#endif /* PROJECTFORM */
