/***
   NAME
     searchform - header file
   DESCRIPTION
     
   Last modification: AMdR - Jan 30, 2007
***/
#ifndef SEARCHFORM
#define SEARCHFORM
#include <QDialog>

#include "ui_searchform.h"   // defines Ui::SearchDialog

class SearchDialog : public QDialog, public Ui::SearchDialog
{
    Q_OBJECT

public:
    SearchDialog(QWidget* parent = 0, bool modal = false, Qt::WindowFlags fl = Qt::WindowFlags());
    ~SearchDialog();

public slots:
    virtual void search();
    virtual void setSearchString( const QString & searchString );

signals:
    void searchString( const QString & );

protected slots:
    virtual void languageChange();

};

#endif /* SEARCHFORM */
