#ifndef EBTDATAFILE_H
#define EBTDATAFILE_H

#include "ebtfile.h"
#include "ebtdata.h"

class EBTDataFile : public EBTFile
{
public:
    EBTDataFile();
    ~EBTDataFile();
    void load();
    
    EBTDataMap loadData();
    EBTDataMap appendData(EBTDataMap data);
    void fillNums();
    uint numColumns(){return nCols;};
    uint numRows(){return nRows;};
    
private:
    
    uint nCols, nRows;
};

#endif // EBTDATAFILE_H
